//////////////////////////////////////////////////////////////////////////////////
// 
// Language file
// Copyright(C)'2024- DesktopStation, Nagoden, Fujigaya2, Maison de DCC
// 
// 本ソフトウェアは、上記の著作者によって開発されたものであり、利用には
// ライセンス契約が必要となります。
// 
//////////////////////////////////////////////////////////////////////////////////
//

//#define LANG_JAPANESE

#define ID_LANG_CFG_ADDRRANGE          0
#define ID_LANG_CFG_TYPHOON            1
#define ID_LANG_MENU_ACCESSORY         2
#define ID_LANG_MENU_ADDREDIT          3
#define ID_LANG_MENU_ADDRSCAN          4
#define ID_LANG_MENU_ANALOG            5
#define ID_LANG_MENU_CONFIG            6
#define ID_LANG_MENU_CONTROLSTATE      7
#define ID_LANG_MENU_CVREAD            8
#define ID_LANG_MENU_CVWRITE           9
#define ID_LANG_MENU_DEVICEINFO        10
#define ID_LANG_MENU_STATUS            11
#define ID_LANG_MSG_ACCADDRCH1         12
#define ID_LANG_MSG_ACCADDRCH2         13
#define ID_LANG_MSG_ADDRESS            14
#define ID_LANG_MSG_ADDRRANGE9999	   15
#define ID_LANG_MSG_CHECKFAILADDR      16
#define ID_LANG_MSG_CLOSEENTER         17
#define ID_LANG_MSG_CV1718WRITE        18
#define ID_LANG_MSG_CV1WRITE           19
#define ID_LANG_MSG_CVNUMBER           20
#define ID_LANG_MSG_CVVALUE            21
#define ID_LANG_MSG_ENTERTOSCAN		   22
#define ID_LANG_MSG_ENTER_RET          23
#define ID_LANG_MSG_ERROR              24
#define ID_LANG_MSG_ERRORLV            25
#define ID_LANG_MSG_ERROROC            26
#define ID_LANG_MSG_ERROROV            27
#define ID_LANG_MSG_FAILEDCV29		   28
#define ID_LANG_MSG_FORWARD            29
#define ID_LANG_MSG_INFORMATION        30
#define ID_LANG_MSG_INPUTCVENTER       31
#define ID_LANG_MSG_INPUTCVNO  		   32
#define ID_LANG_MSG_INPUTCVVALENTER    33
#define ID_LANG_MSG_NOLOCO             34
#define ID_LANG_MSG_OUTOFADDR		   35
#define ID_LANG_MSG_PWMLIGHT           36
#define ID_LANG_MSG_PWMVOLTAGE         37
#define ID_LANG_MSG_RANGE255		   38
#define ID_LANG_MSG_READCVDEC          39
#define ID_LANG_MSG_READINGCV29		   40
#define ID_LANG_MSG_RESULTSCAN         41
#define ID_LANG_MSG_RETURNENTER        42
#define ID_LANG_MSG_REVERSE            43
#define ID_LANG_MSG_SAVEENTER          44
#define ID_LANG_MSG_SETLONGADDR        45
#define ID_LANG_MSG_SETSHORTADDR       46
#define ID_LANG_MSG_SPEED              47
#define ID_LANG_MSG_WRITECVDEC         48
#define ID_LANG_MSG_WRITEENTER         49
#define ID_LANG_MSG_WRITINGCV29		   50
#define ID_LANG_MSG_WROTECV			   51
#define ID_LANG_TITLE_CFG              52
#define ID_LANG_TITLE_DRIVE            53
#define ID_LANG_TITLE_EDIT             54
#define ID_LANG_TITLE_HEIM1			   55
#define ID_LANG_TITLE_INFO             56
#define ID_LANG_TITLE_OPE              57
#define ID_LANG_TITLE_SCAN             58
#define ID_LANG_TITLE_TURNOUT          59
#define ID_LANG_TXT_QRDESCP1           60
#define ID_LANG_TXT_QRDESCP2           61
#define ID_LANG_TXT_QRDESCP3           62
#define ID_LANG_TXT_QRDESCP4           63
#define ID_LANG_TITLE_HEIM2			   64
#define ID_LANG_CFG_LANGUAGE       65
#define ID_LANG_MSG_READCV29       66
#define ID_LANG_TXT_QRDESCP5       67
#define ID_LANG_TITLE_ROBOT        68
#define ID_LANG_MSG_SAVED      69
#define ID_LANG_MSG_LOADED      70
#define ID_LANG_MSG_NORECORD      71
#define ID_LANG_MSG_STARTRECORD     72
#define ID_LANG_MSG_RECORDING       73
#define ID_LANG_MSG_STOPRECORD      74
#define ID_LANG_MSG_PLAYRECORD      75
#define ID_LANG_MSG_STOPRECPLAY     76
#define ID_LANG_MSG_FAILREADCV1		    77
#define ID_LANG_MSG_FAILREADCV17		    78
#define ID_LANG_MSG_FAILREADCV18		    79
#define ID_LANG_MSG_FINISHREADCV17	    80
#define ID_LANG_MSG_SAVETOMEM  		  81
#define ID_LANG_TITLE_POWER  		    82
#define ID_LANG_TITLE_ON  		      83
#define ID_LANG_TITLE_OFF  		      84



#define LANG_CFG_ADDRRANGE          "2.100-127 アドレス"
#define LANG_CFG_TYPHOON            "1.F2警笛操作モード "
#define LANG_CFG_LANGUAGE           "3.表示言語        "
#define LANG_EN_CFG_LANGUAGE        "3.DisplayLanguage"


#define LANG_MENU_ACCESSORY         "【進路操作】"
#define LANG_MENU_ADDREDIT          "【ADDR編集】"
#define LANG_MENU_ADDRSCAN          "【ADDR探査】"
#define LANG_MENU_ANALOG            "【アナログ】"
#define LANG_MENU_CONFIG            "【設定】"
#define LANG_MENU_CONTROLSTATE      "【CTRL状態】"
#define LANG_MENU_CVREAD            "【ＣＶREAD】"
#define LANG_MENU_CVWRITE           "【ＣＶWRITE 】"
#define LANG_MENU_DEVICEINFO        "【DEVICEINFO】"
#define LANG_MENU_STATUS            "【状態】"
#define LANG_MSG_ACCADDRCH1         "表示するアクセサリアドレスを"
#define LANG_MSG_ACCADDRCH2         "入力してください。(1-1024)"
#define LANG_MSG_ADDRESS            "アドレス"
#define LANG_MSG_ADDRRANGE9999	    "1-9999のアドレスを入力"
#define LANG_MSG_CHECKFAILADDR       "アドレスチェック失敗"
#define LANG_MSG_CLOSEENTER         "ENTER で閉じます"  
#define LANG_MSG_CV1718WRITE        "CV17&CV18 書きこみ...."
#define LANG_MSG_CV1WRITE           "CV1 書きこみ...."
#define LANG_MSG_CVNUMBER           "ＣＶ番号"
#define LANG_MSG_CVVALUE            "ＣＶ値"
#define LANG_MSG_ENTERTOSCAN		"ENTER で探査スタート"
#define LANG_MSG_ENTER_RET          "ENTER:もどる"
#define LANG_MSG_ERROR              "◇エラー！◇"
#define LANG_MSG_ERRORLV            "低電圧エラー"
#define LANG_MSG_ERROROC            "過電流エラー"
#define LANG_MSG_ERROROV            "過電圧エラー"
#define LANG_MSG_FAILEDCV29			"CV29読みこみ失敗"
#define LANG_MSG_FORWARD            "前進"
#define LANG_MSG_INFORMATION        "◇情報◇"
#define LANG_MSG_INPUTCVENTER       "CV値を入力しENTER でスタート"
#define LANG_MSG_INPUTCVNO  		"CV番号を入力してください"
#define LANG_MSG_INPUTCVVALENTER    "CV番号を設定しENTER でスタート"
#define LANG_MSG_NOLOCO             "操作中のロコはありません。"  
#define LANG_MSG_OUTOFADDR			"！アドレス外です"
#define LANG_MSG_PWMLIGHT           "常点灯ON"
#define LANG_MSG_PWMVOLTAGE         "PWM 電圧"
#define LANG_MSG_RANGE255			"値は0-255 で"
#define LANG_MSG_READCVDEC          "デコーダからCVを読みます" 
#define LANG_MSG_READINGCV29		"CV29読みこみ中...."
#define LANG_MSG_RESULTSCAN         "◆探査結果◆"
#define LANG_MSG_RETURNENTER        "ENTER でもどります"  
#define LANG_MSG_REVERSE            "後進"
#define LANG_MSG_SAVEENTER          "ENTER で保存します"
#define LANG_MSG_SETLONGADDR        "ロングアドレスに設定"
#define LANG_MSG_SETSHORTADDR       "ショートアドレスに設定"
#define LANG_MSG_SPEED              "速度"
#define LANG_MSG_WRITECVDEC         "デコーダにCVを書きます"
#define LANG_MSG_WRITEENTER         "Enter で書きこみスタート"
#define LANG_MSG_WRITINGCV29		"CV29書きこみ中...."
#define LANG_MSG_WROTECV			"CVを書きこみました"

#define LANG_MSG_SAVED			  "保存しました"
#define LANG_EN_MSG_SAVED			"Saved data."
#define LANG_MSG_LOADED			  "ロードしました"
#define LANG_EN_MSG_LOADED			"Loaded data."
#define LANG_MSG_NORECORD			  "記録はありません"
#define LANG_EN_MSG_NORECORD		"No record found."
#define LANG_MSG_STARTRECORD			"ENTER で記録開始"
#define LANG_EN_MSG_STARTRECORD		"ENTER to record"

#define LANG_MSG_RECORDING			"ユーザー操作記録中"
#define LANG_MSG_STOPRECORD			"ENTER で記録停止"
#define LANG_MSG_PLAYRECORD			"ユーザー操作再生中"
#define LANG_MSG_STOPRECPLAY		"ENTER で再生停止"
#define LANG_EN_MSG_RECORDING		"Recording UserOpe"
#define LANG_EN_MSG_STOPRECORD	"Stop Record ENTER"
#define LANG_EN_MSG_PLAYRECORD	"Playing UserRecord"
#define LANG_EN_MSG_STOPRECPLAY	"Stop Play   ENTER"

#define LANG_MSG_FAILREADCV1			"CV1  読みだし失敗"
#define LANG_MSG_FAILREADCV17			"CV17 読みだし失敗"
#define LANG_MSG_FAILREADCV18			"CV18 読みだし失敗"
#define LANG_MSG_FINISHREADCV17		"CV17の値を読み取りました"
#define LANG_MSG_SAVETOMEM  			"メモリに保存しました"
#define LANG_EN_MSG_FAILREADCV1			"CV1  FAILED READ"
#define LANG_EN_MSG_FAILREADCV17		"CV17 FAILED READ"
#define LANG_EN_MSG_FAILREADCV18		"CV18 FAILED READ"
#define LANG_EN_MSG_FINISHREADCV17	"Read CV17 value."
#define LANG_EN_MSG_SAVETOMEM  			"Saved to Memory."

#define LANG_TITLE_POWER            "電源"
#define LANG_TITLE_ON               "オン"
#define LANG_TITLE_OFF              "オフ"
#define LANG_EN_TITLE_POWER         "PWR "
#define LANG_EN_TITLE_ON            "ON  "
#define LANG_EN_TITLE_OFF           "OFF "



#define LANG_TITLE_CFG              "設定"
#define LANG_TITLE_DRIVE            "運転"
#define LANG_TITLE_EDIT             "編集"
#define LANG_TITLE_HEIM1			"おし"
#define LANG_TITLE_HEIM2			"らせ"
#define LANG_TITLE_INFO             "情報"
#define LANG_TITLE_OPE              "操作"
#define LANG_TITLE_SCAN             "探査"
#define LANG_TITLE_TURNOUT          "進路"
#define LANG_TITLE_ROBOT           "ロボ"
#define LANG_EN_TITLE_ROBOT           "ROBO"
#define LANG_TXT_QRDESCP1          "右記QRコードを"
#define LANG_TXT_QRDESCP2          "スマホ・タブで"
#define LANG_TXT_QRDESCP3          "読取りください"
#define LANG_TXT_QRDESCP4          "アプリ表示ＱＲ"
#define LANG_TXT_QRDESCP5          "WiFi登録ＱＲ"
#define LANG_EN_TXT_QRDESCP5       "WiFiReg ＱＲ"

//English
#define LANG_EN_CFG_ADDRRANGE "2.100-127 address"
#define LANG_EN_CFG_TYPHOON "1.F2 Horn Operation"
#define LANG_EN_MENU_ACCESSORY         "【TURNOUT】"
#define LANG_EN_MENU_ADDREDIT          "【ADDREDIT】"
#define LANG_EN_MENU_ADDRSCAN          "【ADDRSCAN】"
#define LANG_EN_MENU_ANALOG            "【ANALOG】"
#define LANG_EN_MENU_CONFIG            "【CONFIG】"
#define LANG_EN_MENU_CONTROLSTATE      "【CTRLSTATE】"
#define LANG_EN_MENU_CVREAD            "【ＣＶREAD】"
#define LANG_EN_MENU_CVWRITE           "【ＣＶWRITE 】"
#define LANG_EN_MENU_DEVICEINFO        "【DEVICEINFO】"
#define LANG_EN_MENU_STATUS            "【STATUS】"
#define LANG_EN_MSG_ACCADDRCH1 "Show accessory addresses"
#define LANG_EN_MSG_ACCADDRCH2 "Enter. (1-1024)"
#define LANG_EN_MSG_ADDRESS "Address"
#define LANG_EN_MSG_ADDRRANGE9999	    "Enter the address of 1-9999"
#define LANG_EN_MSG_CHECKFAILADDR "Address check failed"
#define LANG_EN_MSG_CLOSEENTER "CLOSE WITH ENTER"  
#define LANG_EN_MSG_CV1718WRITE "CV17&CV18 Write...."
#define LANG_EN_MSG_CV1WRITE "CV1 write...."
#define LANG_EN_MSG_CVNUMBER "CV Number"
#define LANG_EN_MSG_CVVALUE "CV Value"
#define LANG_EN_MSG_ENTERTOSCAN		"Enter to start ADDRESS SCAN"
#define LANG_EN_MSG_ENTER_RET "ENTER: BACK"
#define LANG_EN_MSG_ERROR "◇Error!◇"
#define LANG_EN_MSG_ERRORLV "Low Voltage Error"
#define LANG_EN_MSG_ERROROC "Overcurrent Error"
#define LANG_EN_MSG_ERROROV "Overvoltage Error"
#define LANG_EN_MSG_FAILEDCV29			"CV29 load failed"
#define LANG_EN_MSG_FORWARD "FWD"
#define LANG_EN_MSG_INFORMATION "◇Information◇"
#define LANG_EN_MSG_INPUTCVENTER "Enter CV value. Then start. "
#define LANG_EN_MSG_INPUTCVNO  		"Enter your CV number"
#define LANG_EN_MSG_INPUTCVVALENTER "Set CV no. Then start."
#define LANG_EN_MSG_NOLOCO "No locos in operation."  
#define LANG_EN_MSG_OUTOFADDR			"！ Out of address"
#define LANG_EN_MSG_PWMLIGHT "LIGHT ON"
#define LANG_EN_MSG_PWMVOLTAGE "PWM Voltage"
#define LANG_EN_MSG_RANGE255			"Value should be 0-255"
#define LANG_EN_MSG_READCVDEC "Read CV from decoder" 
#define LANG_EN_MSG_READINGCV29		"Loading CV29...."
#define LANG_EN_MSG_RESULTSCAN "◆ Scan results ◆"
#define LANG_EN_MSG_RETURNENTER "ENTER to return"  
#define LANG_EN_MSG_REVERSE "REV"
#define LANG_EN_MSG_SAVEENTER "ENTER to save cfg"
#define LANG_EN_MSG_SETLONGADDR "Set to long address"
#define LANG_EN_MSG_SETSHORTADDR "Set to short address"
#define LANG_EN_MSG_SPEED "Spd"
#define LANG_EN_MSG_WRITECVDEC "Write CV to decoder"
#define LANG_EN_MSG_WRITEENTER "Enter to start writing"
#define LANG_EN_MSG_WRITINGCV29		"CV29 writing...."
#define LANG_EN_MSG_WROTECV			"I wrote my CV."
#define LANG_EN_TITLE_CFG              "MODE"
#define LANG_EN_TITLE_DRIVE            "DRIVE"
#define LANG_EN_TITLE_EDIT             "EDIT"
#define LANG_EN_TITLE_HEIM1			"INFO"
#define LANG_EN_TITLE_HEIM2			"    "
#define LANG_EN_TITLE_INFO             "INFO"
#define LANG_EN_TITLE_OPE              "OPERATE"
#define LANG_EN_TITLE_SCAN             "SCAN"
#define LANG_EN_TITLE_TURNOUT          "TURNOUT"
#define LANG_EN_TXT_QRDESCP1 "Scan QRcode"
#define LANG_EN_TXT_QRDESCP2 "at RIGHT"
#define LANG_EN_TXT_QRDESCP3 "by Tab/Phone"
#define LANG_EN_TXT_QRDESCP4 "WebAppAvailable"

#define LANG_MSG_READCV29     "CV29の値を読み取りました。　"
#define LANG_EN_MSG_READCV29  "Finished to read CV29 val."


const char* GetLangWord(int ID, int language_type)
{
  const char* pWords = NULL;

  if( language_type == 1)
  {
  switch(ID)
  {
    case ID_LANG_CFG_ADDRRANGE: pWords = LANG_EN_CFG_ADDRRANGE; break;
    case ID_LANG_CFG_TYPHOON: pWords = LANG_EN_CFG_TYPHOON; break;
    case ID_LANG_MENU_ACCESSORY : pWords = LANG_EN_MENU_ACCESSORY ; break;
    case ID_LANG_MENU_ADDREDIT: pWords = LANG_EN_MENU_ADDREDIT; break;
    case ID_LANG_MENU_ADDRSCAN: pWords = LANG_EN_MENU_ADDRSCAN; break;
    case ID_LANG_MENU_ANALOG: pWords = LANG_EN_MENU_ANALOG; break;
    case ID_LANG_MENU_CONFIG: pWords = LANG_EN_MENU_CONFIG; break;
    case ID_LANG_MENU_CONTROLSTATE: pWords = LANG_EN_MENU_CONTROLSTATE; break;
    case ID_LANG_MENU_CVREAD: pWords = LANG_EN_MENU_CVREAD; break;
    case ID_LANG_MENU_CVWRITE : pWords = LANG_EN_MENU_CVWRITE ; break;
    case ID_LANG_MENU_DEVICEINFO: pWords = LANG_EN_MENU_DEVICEINFO; break;
    case ID_LANG_MENU_STATUS: pWords = LANG_EN_MENU_STATUS; break;
    case ID_LANG_MSG_ACCADDRCH1 : pWords = LANG_EN_MSG_ACCADDRCH1 ; break;
    case ID_LANG_MSG_ACCADDRCH2 : pWords = LANG_EN_MSG_ACCADDRCH2 ; break;
    case ID_LANG_MSG_ADDRESS: pWords = LANG_EN_MSG_ADDRESS; break;
    case ID_LANG_MSG_ADDRRANGE9999: pWords = LANG_EN_MSG_ADDRRANGE9999; break;
    case ID_LANG_MSG_CHECKFAILADDR: pWords = LANG_EN_MSG_CHECKFAILADDR; break;
    case ID_LANG_MSG_CLOSEENTER : pWords = LANG_EN_MSG_CLOSEENTER ; break;
    case ID_LANG_MSG_CV1718WRITE: pWords = LANG_EN_MSG_CV1718WRITE; break;
    case ID_LANG_MSG_CV1WRITE : pWords = LANG_EN_MSG_CV1WRITE ; break;
    case ID_LANG_MSG_CVNUMBER : pWords = LANG_EN_MSG_CVNUMBER ; break;
    case ID_LANG_MSG_CVVALUE: pWords = LANG_EN_MSG_CVVALUE; break;
    case ID_LANG_MSG_ENTERTOSCAN: pWords = LANG_EN_MSG_ENTERTOSCAN; break;
    case ID_LANG_MSG_ENTER_RET: pWords = LANG_EN_MSG_ENTER_RET; break;
    case ID_LANG_MSG_ERROR: pWords = LANG_EN_MSG_ERROR; break;
    case ID_LANG_MSG_ERRORLV: pWords = LANG_EN_MSG_ERRORLV; break;
    case ID_LANG_MSG_ERROROC: pWords = LANG_EN_MSG_ERROROC; break;
    case ID_LANG_MSG_ERROROV: pWords = LANG_EN_MSG_ERROROV; break;
    case ID_LANG_MSG_FAILEDCV29: pWords = LANG_EN_MSG_FAILEDCV29; break;
    case ID_LANG_MSG_FORWARD: pWords = LANG_EN_MSG_FORWARD; break;
    case ID_LANG_MSG_INFORMATION: pWords = LANG_EN_MSG_INFORMATION; break;
    case ID_LANG_MSG_INPUTCVENTER : pWords = LANG_EN_MSG_INPUTCVENTER ; break;
    case ID_LANG_MSG_INPUTCVNO: pWords = LANG_EN_MSG_INPUTCVNO; break;
    case ID_LANG_MSG_INPUTCVVALENTER: pWords = LANG_EN_MSG_INPUTCVVALENTER; break;
    case ID_LANG_MSG_NOLOCO : pWords = LANG_EN_MSG_NOLOCO ; break;
    case ID_LANG_MSG_OUTOFADDR: pWords = LANG_EN_MSG_OUTOFADDR; break;
    case ID_LANG_MSG_PWMLIGHT : pWords = LANG_EN_MSG_PWMLIGHT ; break;
    case ID_LANG_MSG_PWMVOLTAGE : pWords = LANG_EN_MSG_PWMVOLTAGE ; break;
    case ID_LANG_MSG_RANGE255 : pWords = LANG_EN_MSG_RANGE255 ; break;
    case ID_LANG_MSG_READCVDEC: pWords = LANG_EN_MSG_READCVDEC; break;
    case ID_LANG_MSG_READINGCV29: pWords = LANG_EN_MSG_READINGCV29; break;
    case ID_LANG_MSG_RESULTSCAN : pWords = LANG_EN_MSG_RESULTSCAN ; break;
    case ID_LANG_MSG_RETURNENTER: pWords = LANG_EN_MSG_RETURNENTER; break;
    case ID_LANG_MSG_REVERSE: pWords = LANG_EN_MSG_REVERSE; break;
    case ID_LANG_MSG_SAVEENTER: pWords = LANG_EN_MSG_SAVEENTER; break;
    case ID_LANG_MSG_SETLONGADDR: pWords = LANG_EN_MSG_SETLONGADDR; break;
    case ID_LANG_MSG_SETSHORTADDR : pWords = LANG_EN_MSG_SETSHORTADDR ; break;
    case ID_LANG_MSG_SPEED: pWords = LANG_EN_MSG_SPEED; break;
    case ID_LANG_MSG_WRITECVDEC : pWords = LANG_EN_MSG_WRITECVDEC ; break;
    case ID_LANG_MSG_WRITEENTER : pWords = LANG_EN_MSG_WRITEENTER ; break;
    case ID_LANG_MSG_WRITINGCV29: pWords = LANG_EN_MSG_WRITINGCV29; break;
    case ID_LANG_MSG_WROTECV: pWords = LANG_EN_MSG_WROTECV; break;
    case ID_LANG_TITLE_CFG: pWords = LANG_EN_TITLE_CFG; break;
    case ID_LANG_TITLE_DRIVE: pWords = LANG_EN_TITLE_DRIVE; break;
    case ID_LANG_TITLE_EDIT : pWords = LANG_EN_TITLE_EDIT ; break;
    case ID_LANG_TITLE_HEIM1: pWords = LANG_EN_TITLE_HEIM1; break;
    case ID_LANG_TITLE_INFO : pWords = LANG_EN_TITLE_INFO ; break;
    case ID_LANG_TITLE_OPE: pWords = LANG_EN_TITLE_OPE; break;
    case ID_LANG_TITLE_SCAN : pWords = LANG_EN_TITLE_SCAN ; break;
    case ID_LANG_TITLE_TURNOUT: pWords = LANG_EN_TITLE_TURNOUT; break;
    case ID_LANG_TXT_QRDESCP1 : pWords = LANG_EN_TXT_QRDESCP1 ; break;
    case ID_LANG_TXT_QRDESCP2 : pWords = LANG_EN_TXT_QRDESCP2 ; break;
    case ID_LANG_TXT_QRDESCP3 : pWords = LANG_EN_TXT_QRDESCP3 ; break;
    case ID_LANG_TXT_QRDESCP4 : pWords = LANG_EN_TXT_QRDESCP4 ; break;
    case ID_LANG_TITLE_HEIM2: pWords = LANG_EN_TITLE_HEIM2; break;
    case ID_LANG_CFG_LANGUAGE: pWords = LANG_EN_CFG_LANGUAGE;break;
    case ID_LANG_MSG_READCV29: pWords = LANG_EN_MSG_READCV29;break;
    case ID_LANG_TXT_QRDESCP5: pWords = LANG_EN_TXT_QRDESCP5;break;
    case ID_LANG_TITLE_ROBOT: pWords = LANG_EN_TITLE_ROBOT;break;
    case ID_LANG_MSG_SAVED: pWords = LANG_EN_MSG_SAVED;break;
    case ID_LANG_MSG_LOADED: pWords = LANG_EN_MSG_LOADED;break;
    case ID_LANG_MSG_NORECORD: pWords = LANG_EN_MSG_NORECORD;break;
    case ID_LANG_MSG_STARTRECORD: pWords = LANG_EN_MSG_STARTRECORD;break; 
    case ID_LANG_MSG_RECORDING: pWords = LANG_EN_MSG_RECORDING;break; 
    case ID_LANG_MSG_STOPRECORD: pWords = LANG_EN_MSG_STOPRECORD;break;
    case ID_LANG_MSG_PLAYRECORD: pWords = LANG_EN_MSG_PLAYRECORD;break;          
    case ID_LANG_MSG_STOPRECPLAY: pWords = LANG_EN_MSG_STOPRECPLAY;break; 
    case ID_LANG_MSG_FAILREADCV1: pWords = LANG_EN_MSG_FAILREADCV1;break; 
    case ID_LANG_MSG_FAILREADCV17: pWords = LANG_EN_MSG_FAILREADCV17;break; 
    case ID_LANG_MSG_FAILREADCV18: pWords = LANG_EN_MSG_FAILREADCV18;break; 
    case ID_LANG_MSG_FINISHREADCV17: pWords = LANG_EN_MSG_FINISHREADCV17;break;     
    case ID_LANG_MSG_SAVETOMEM: pWords = LANG_EN_MSG_SAVETOMEM;break; 
    case ID_LANG_TITLE_POWER: pWords = LANG_EN_TITLE_POWER;break; 
    case ID_LANG_TITLE_ON: pWords = LANG_EN_TITLE_ON;break; 
    case ID_LANG_TITLE_OFF: pWords = LANG_EN_TITLE_OFF;break; 


  }

  }
  else
  {


  switch(ID)
  {
    case ID_LANG_CFG_ADDRRANGE: pWords = LANG_CFG_ADDRRANGE; break;
    case ID_LANG_CFG_TYPHOON: pWords = LANG_CFG_TYPHOON; break;
    case ID_LANG_MENU_ACCESSORY : pWords = LANG_MENU_ACCESSORY ; break;
    case ID_LANG_MENU_ADDREDIT: pWords = LANG_MENU_ADDREDIT; break;
    case ID_LANG_MENU_ADDRSCAN: pWords = LANG_MENU_ADDRSCAN; break;
    case ID_LANG_MENU_ANALOG: pWords = LANG_MENU_ANALOG; break;
    case ID_LANG_MENU_CONFIG: pWords = LANG_MENU_CONFIG; break;
    case ID_LANG_MENU_CONTROLSTATE: pWords = LANG_MENU_CONTROLSTATE; break;
    case ID_LANG_MENU_CVREAD: pWords = LANG_MENU_CVREAD; break;
    case ID_LANG_MENU_CVWRITE : pWords = LANG_MENU_CVWRITE ; break;
    case ID_LANG_MENU_DEVICEINFO: pWords = LANG_MENU_DEVICEINFO; break;
    case ID_LANG_MENU_STATUS: pWords = LANG_MENU_STATUS; break;
    case ID_LANG_MSG_ACCADDRCH1 : pWords = LANG_MSG_ACCADDRCH1 ; break;
    case ID_LANG_MSG_ACCADDRCH2 : pWords = LANG_MSG_ACCADDRCH2 ; break;
    case ID_LANG_MSG_ADDRESS: pWords = LANG_MSG_ADDRESS; break;
    case ID_LANG_MSG_ADDRRANGE9999: pWords = LANG_MSG_ADDRRANGE9999; break;
    case ID_LANG_MSG_CHECKFAILADDR: pWords = LANG_MSG_CHECKFAILADDR; break;
    case ID_LANG_MSG_CLOSEENTER : pWords = LANG_MSG_CLOSEENTER ; break;
    case ID_LANG_MSG_CV1718WRITE: pWords = LANG_MSG_CV1718WRITE; break;
    case ID_LANG_MSG_CV1WRITE : pWords = LANG_MSG_CV1WRITE ; break;
    case ID_LANG_MSG_CVNUMBER : pWords = LANG_MSG_CVNUMBER ; break;
    case ID_LANG_MSG_CVVALUE: pWords = LANG_MSG_CVVALUE; break;
    case ID_LANG_MSG_ENTERTOSCAN: pWords = LANG_MSG_ENTERTOSCAN; break;
    case ID_LANG_MSG_ENTER_RET: pWords = LANG_MSG_ENTER_RET; break;
    case ID_LANG_MSG_ERROR: pWords = LANG_MSG_ERROR; break;
    case ID_LANG_MSG_ERRORLV: pWords = LANG_MSG_ERRORLV; break;
    case ID_LANG_MSG_ERROROC: pWords = LANG_MSG_ERROROC; break;
    case ID_LANG_MSG_ERROROV: pWords = LANG_MSG_ERROROV; break;
    case ID_LANG_MSG_FAILEDCV29: pWords = LANG_MSG_FAILEDCV29; break;
    case ID_LANG_MSG_FORWARD: pWords = LANG_MSG_FORWARD; break;
    case ID_LANG_MSG_INFORMATION: pWords = LANG_MSG_INFORMATION; break;
    case ID_LANG_MSG_INPUTCVENTER : pWords = LANG_MSG_INPUTCVENTER ; break;
    case ID_LANG_MSG_INPUTCVNO: pWords = LANG_MSG_INPUTCVNO; break;
    case ID_LANG_MSG_INPUTCVVALENTER: pWords = LANG_MSG_INPUTCVVALENTER; break;
    case ID_LANG_MSG_NOLOCO : pWords = LANG_MSG_NOLOCO ; break;
    case ID_LANG_MSG_OUTOFADDR: pWords = LANG_MSG_OUTOFADDR; break;
    case ID_LANG_MSG_PWMLIGHT : pWords = LANG_MSG_PWMLIGHT ; break;
    case ID_LANG_MSG_PWMVOLTAGE : pWords = LANG_MSG_PWMVOLTAGE ; break;
    case ID_LANG_MSG_RANGE255 : pWords = LANG_MSG_RANGE255 ; break;
    case ID_LANG_MSG_READCVDEC: pWords = LANG_MSG_READCVDEC; break;
    case ID_LANG_MSG_READINGCV29: pWords = LANG_MSG_READINGCV29; break;
    case ID_LANG_MSG_RESULTSCAN : pWords = LANG_MSG_RESULTSCAN ; break;
    case ID_LANG_MSG_RETURNENTER: pWords = LANG_MSG_RETURNENTER; break;
    case ID_LANG_MSG_REVERSE: pWords = LANG_MSG_REVERSE; break;
    case ID_LANG_MSG_SAVEENTER: pWords = LANG_MSG_SAVEENTER; break;
    case ID_LANG_MSG_SETLONGADDR: pWords = LANG_MSG_SETLONGADDR; break;
    case ID_LANG_MSG_SETSHORTADDR : pWords = LANG_MSG_SETSHORTADDR ; break;
    case ID_LANG_MSG_SPEED: pWords = LANG_MSG_SPEED; break;
    case ID_LANG_MSG_WRITECVDEC : pWords = LANG_MSG_WRITECVDEC ; break;
    case ID_LANG_MSG_WRITEENTER : pWords = LANG_MSG_WRITEENTER ; break;
    case ID_LANG_MSG_WRITINGCV29: pWords = LANG_MSG_WRITINGCV29; break;
    case ID_LANG_MSG_WROTECV: pWords = LANG_MSG_WROTECV; break;
    case ID_LANG_TITLE_CFG: pWords = LANG_TITLE_CFG; break;
    case ID_LANG_TITLE_DRIVE: pWords = LANG_TITLE_DRIVE; break;
    case ID_LANG_TITLE_EDIT : pWords = LANG_TITLE_EDIT ; break;
    case ID_LANG_TITLE_HEIM1: pWords = LANG_TITLE_HEIM1; break;
    case ID_LANG_TITLE_INFO : pWords = LANG_TITLE_INFO ; break;
    case ID_LANG_TITLE_OPE: pWords = LANG_TITLE_OPE; break;
    case ID_LANG_TITLE_SCAN : pWords = LANG_TITLE_SCAN ; break;
    case ID_LANG_TITLE_TURNOUT: pWords = LANG_TITLE_TURNOUT; break;
    case ID_LANG_TXT_QRDESCP1 : pWords = LANG_TXT_QRDESCP1 ; break;
    case ID_LANG_TXT_QRDESCP2 : pWords = LANG_TXT_QRDESCP2 ; break;
    case ID_LANG_TXT_QRDESCP3 : pWords = LANG_TXT_QRDESCP3 ; break;
    case ID_LANG_TXT_QRDESCP4 : pWords = LANG_TXT_QRDESCP4 ; break;
    case ID_LANG_TITLE_HEIM2: pWords = LANG_TITLE_HEIM2; break;
    case ID_LANG_CFG_LANGUAGE: pWords = LANG_CFG_LANGUAGE;break;
    case ID_LANG_MSG_READCV29: pWords = LANG_MSG_READCV29;break;
    case ID_LANG_TXT_QRDESCP5: pWords = LANG_TXT_QRDESCP5;break;
    case ID_LANG_TITLE_ROBOT: pWords = LANG_TITLE_ROBOT;break;
    case ID_LANG_MSG_SAVED: pWords = LANG_MSG_SAVED;break;
    case ID_LANG_MSG_LOADED: pWords = LANG_MSG_LOADED;break;
    case ID_LANG_MSG_NORECORD: pWords = LANG_MSG_NORECORD;break;
    case ID_LANG_MSG_STARTRECORD: pWords = LANG_MSG_STARTRECORD;break;
    case ID_LANG_MSG_RECORDING: pWords = LANG_MSG_RECORDING;break; 
    case ID_LANG_MSG_STOPRECORD: pWords = LANG_MSG_STOPRECORD;break;
    case ID_LANG_MSG_PLAYRECORD: pWords = LANG_MSG_PLAYRECORD;break;          
    case ID_LANG_MSG_STOPRECPLAY: pWords = LANG_MSG_STOPRECPLAY;break; 
    case ID_LANG_MSG_FAILREADCV1: pWords = LANG_MSG_FAILREADCV1;break; 
    case ID_LANG_MSG_FAILREADCV17: pWords = LANG_MSG_FAILREADCV17;break; 
    case ID_LANG_MSG_FAILREADCV18: pWords = LANG_MSG_FAILREADCV18;break; 
    case ID_LANG_MSG_FINISHREADCV17: pWords = LANG_MSG_FINISHREADCV17;break;     
    case ID_LANG_MSG_SAVETOMEM: pWords = LANG_MSG_SAVETOMEM;break; 
    case ID_LANG_TITLE_POWER: pWords = LANG_TITLE_POWER;break; 
    case ID_LANG_TITLE_ON: pWords = LANG_TITLE_ON;break; 
    case ID_LANG_TITLE_OFF: pWords = LANG_TITLE_OFF;break;     
  }

  }
  return pWords;
}

