//////////////////////////////////////////////////////////////////////////////////
// 
// 汎用ファンクション
// 
// 
//////////////////////////////////////////////////////////////////////////////////
//


#include <stdint.h>
#include <Arduino.h>
#include "Functions.h"


/*
前回値がボタンが押されていないかのチェック＆現在押されているかのチェック(エッジ検出)
*/

uint8_t CheckButtonStatus(uint16_t inCurrents, uint16_t inLasts, uint16_t inTargetBit)
{
	if( ((inCurrents & inTargetBit) > 0) && ((inLasts & inTargetBit) == 0))
	{
		return 1;
	}
	else
	{
		return 0;
	}
	
}

word stringToWord(String s)
 {
  word result = 0;
  
  for (uint8_t i = 0; i < s.length(); i++) {
	result = 10 * result + (s.charAt(i) - '0');
  }
  
  return result;
}

//参考 http://radiopench.blog96.fc2.com/blog-entry-1189.html
int adcCorrection(int x)
{
	// RP2040のADCの非直線性補正(RP2040-E11対策）
	int y;
	
	if      (x >= 3584) y = x + 32; // fsの7/8のポイントのオフセット補正
	else if (x == 3583) y = x + 29; // 遷移のステップを少し埋める
	else if (x == 3582) y = x + 27; // 同上

	else if (x >= 2560) y = x + 24;  // fsの5/8
	else if (x == 2559) y = x + 21;
	else if (x == 2558) y = x + 19;

	else if (x >= 1536) y = x + 16;  // fsの3/8
	else if (x == 1535) y = x + 13;
	else if (x == 1534) y = x + 11;

	else if (x >=  512) y = x +  8;  // fsの1/8
	else if (x ==  511) y = x +  5;
	else if (x ==  510) y = x +  3;
	else                y = x;       // 該当しなければそのままの値
	
	return (y * 4096) / 4127;
}